Bug 80488 - Rename NotificationPresenter to NotificationClient
: Rename NotificationPresenter to NotificationClient
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Macintosh Mac OS X 10.7
: P2 Normal
Assigned To:
:
: InRadar
:
: 80472 90370
  Show dependency treegraph
 
Reported: 2012-03-06 21:53 PST by
Modified: 2012-07-02 03:03 PST (History)


Attachments
WIP (60.96 KB, patch)
2012-03-09 13:51 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (61.32 KB, patch)
2012-03-09 15:12 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
WIP (62.04 KB, patch)
2012-03-09 22:07 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (73.08 KB, patch)
2012-03-09 23:42 PST, Jon Lee
haraken: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-06 21:53:59 PST
The name NotificationPresenter doesn't match the naming pattern for other features like geolocation. Should rename as NotificationClient.

<rdar://problem/10965558>
------- Comment #1 From 2012-03-09 13:51:42 PST -------
Created an attachment (id=131098) [details]
Patch
------- Comment #2 From 2012-03-09 13:57:12 PST -------
Attachment 131098 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/GNUmakefile.list.am', u'Sou..." exit_code: 1
Source/WebCore/notifications/NotificationCenter.cpp:54:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/win/WebCoreSupport/WebDesktopNotificationsDelegate.h:55:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/notifications/NotificationClient.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 3 in 40 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #3 From 2012-03-09 14:41:15 PST -------
(From update of attachment 131098 [details])
Attachment 131098 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/11915707
------- Comment #4 From 2012-03-09 15:01:05 PST -------
(From update of attachment 131098 [details])
Attachment 131098 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11911767
------- Comment #5 From 2012-03-09 15:12:01 PST -------
Created an attachment (id=131121) [details]
Patch
------- Comment #6 From 2012-03-09 15:13:59 PST -------
Attachment 131121 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/GNUmakefile.list.am', u'Sou..." exit_code: 1
Source/WebCore/notifications/NotificationCenter.cpp:54:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/win/WebCoreSupport/WebDesktopNotificationsDelegate.h:55:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/notifications/NotificationClient.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 3 in 40 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #7 From 2012-03-09 22:07:33 PST -------
Created an attachment (id=131153) [details]
Patch
------- Comment #8 From 2012-03-09 22:10:23 PST -------
Attachment 131153 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/GNUmakefile.list.am', u'Sou..." exit_code: 1
Source/WebCore/notifications/NotificationCenter.cpp:54:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/win/WebCoreSupport/WebDesktopNotificationsDelegate.h:55:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/notifications/NotificationClient.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 3 in 41 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #9 From 2012-03-09 23:42:21 PST -------
Created an attachment (id=131160) [details]
Patch
------- Comment #10 From 2012-03-10 03:14:28 PST -------
(From update of attachment 131160 [details])
Looks OK. This patch will conflict with my patch (https://bugs.webkit.org/show_bug.cgi?id=79636). Let's commit this patch first.
------- Comment #11 From 2012-03-10 10:43:20 PST -------
Committed r110381: http://trac.webkit.org/changeset/110381